package cn.com.ty.lift.system.user.service.impl;

import cn.com.ty.lift.system.user.dao.entity.model.ProjectUser;
import cn.com.ty.lift.system.user.dao.entity.model.PropertyUserRequest;
import cn.com.ty.lift.system.user.service.IProjectService;
import cn.com.ty.lift.system.user.service.IPropertyUserService;
import cn.com.ty.lift.system.user.service.IUserService;
import cn.com.xwy.boot.web.dto.RestResponse;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author huangyuan
 * @date 2020-01-05
 * @description
 */
@Service
public class PropertyUserService implements IPropertyUserService {

    @Autowired
    private IUserService userService;

    @Autowired
    private IProjectService projectService;

    @Override
    public RestResponse list(PropertyUserRequest propertyUserRequest) {
        List<Long> userQueryIdList = null;
        //通过用户名或手机号查找用户id
        if (StringUtils.isNotBlank(propertyUserRequest.getQueryCondition())) {
            userQueryIdList = userService.getIdListByQueryCondition(propertyUserRequest.getQueryCondition());
        }
        List<ProjectUser> projectUserList = projectService.getProjectUserList(propertyUserRequest);
        Long projectUserCount = projectService.getProjectUserCount(propertyUserRequest);
        IPage propertyUserPage = new Page(propertyUserRequest.getPageNum(), propertyUserRequest.getPageSize());
        return null;
    }
}
