package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.UserAccount;
import cn.com.ty.lift.system.user.dao.entity.model.ProjectUser;
import cn.com.xwy.boot.mybatis.MyBatisMapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * MyBatis Mapper 接口 - 表：user_account
 *
 * @since 2019-11-29 17:15:02
 */
@MyBatisMapper
public interface UserAccountMapper extends BaseMapper<UserAccount> {

    /**
     * @param
     * @return
     * @description 通过用户id和公司id获取
     * @date 2020-01-05 13:02
     */
    ProjectUser getProjectUserByUserIdAndProjectId(ProjectUser projectUser);

    /**
     * @param
     * @return
     * @description 保存用户信息id
     * @date 2020-01-05 15:19
     */
    void saveProjectUser(ProjectUser projectUser);
}